Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class MergeSegments

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.MergeSegments

All Implemented Interfaces:
  FlatRecordType

    public class MergeSegments

extends java.lang.Object
implements FlatRecordType

Class for flat file record type objects.

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.recordtype.FlatRecordType
`EMPTY`

Constructor Summary
`MergeSegments(GroupRecognizer groupRecognizer, FlatRecordType sdwlFlatRecordType, boolean suppressSDW, FlatRecordType dataFlatRecordType, IntegerSubstitutionExpr segmentLengthExpr)`

Method Summary
`FlatRecordReader` | `createFlatRecordReader()`
`FlatRecordWriter` | `createFlatRecordWriter()`
`Record` | `getDefaultRecord(ServiceContext context, Flow flow)`
`boolean` | `isBinary()`
`boolean` | `isFixedLength()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeSegments

    public MergeSegments(GroupRecognizer groupRecognizer,
                         FlatRecordType sdwlFlatRecordType,
                         boolean suppressSDW,
                         FlatRecordType dataFlatRecordType,
                         IntegerSubstitutionExpr segmentLengthExpr)

Method Detail

### getDefaultRecord

    public Record getDefaultRecord(ServiceContext context,
                                   Flow flow)

  Specified by:
    `getDefaultRecord` in interface `FlatRecordType`

### createFlatRecordReader

    public FlatRecordReader createFlatRecordReader()

  Specified by:
    `createFlatRecordReader` in interface `FlatRecordType`

### createFlatRecordWriter

    public FlatRecordWriter createFlatRecordWriter()

  Specified by:
    `createFlatRecordWriter` in interface `FlatRecordType`

### isText

    public boolean isText()

  Specified by:
    `isText` in interface `FlatRecordType`

### isBinary

    public boolean isBinary()

  Specified by:
    `isBinary` in interface `FlatRecordType`

### isFixedLength

    public boolean isFixedLength()

  Specified by:
    `isFixedLength` in interface `FlatRecordType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD